@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



@import "components/platformbackoffice_compareview";
@import "components/platformbackoffice_bulkedit";

$upload_disabled-button--bckg: $white;
$upload_default-button--bckg: $blue__default;
$upload_disabled-button--color: $grey__default--500;
$upload_button--font-weight: 500;
$mediaupload_buttons--margin-bottom: 15px;
$mediaupload_buttons--width: 160px;
$mediaupload_buttons-border: $boxes--border__thin solid $upload_disabled-button--color;
$_mediadownload_inline-button--size: $toolbar__button-default--height;
$_mediadownload_buttons--width: 49%;
$_mediadownload_buttons--margin-right: 1%;

.ye-com_hybris_cockpitng_editor_impexfileupload .yw-import-wizard-toolbar {
  .z-button {
	background-color: $upload_default-button--bckg;

	&[disabled] {
	  color: $upload_disabled-button--color;
	  background-color: $upload_disabled-button--bckg !important;
	  font-weight: $upload_button--font-weight;
	}
  }
}

.media {
  &-fileupload,
  &-download-btn,
  &-clear-content-btn {
	width: $mediaupload_buttons--width;
	margin-bottom: $mediaupload_buttons--margin-bottom;
	white-space: normal;
	height: auto;
  }

  &-fileupload, &-fileupload:hover, &-fileupload:focus {
	background-color: $upload_default-button--bckg;
  }

  &-download-btn, &-download-btn:hover, &-clear-content-btn.y-btn-warning.z-button, &-clear-content-btn.y-btn-warning:hover {
	background-color: $upload_disabled-button--bckg !important;
	color: $upload_disabled-button--color !important;
	border: $mediaupload_buttons-border;
	font-weight: $upload_button--font-weight !important; //!important needed for overriding backoffice !important styling for y-btn-warning
  }

  &-download-btn[disabled].z-button { //.z-button is needed, otherwise cockpit-z-buttons.scss override it
	border: $mediaupload_buttons-border;
	background-color: $upload_disabled-button--bckg !important;
  }
}

/* Fix for IE versions <=10 */
/* http://tracker.zkoss.org/browse/ZK-2471 */
/* Fix version set to 7.0.4, but it seems it's still there, */
/* at least for ie10 emulation in ie11 */
.ie8, .ie9, .ie10 {
  span.z-upload {
	display: inline-block;
  }

  input {
	z-index: 1;
  }
}

/* End of IE fix for ZK-2471 */

/* there is not table as a nested html component */
/* IE 9 FIX */
/*.media-fileupload.z-button > table{
    width: 160px;
}*/

.yw-import-wizard-toolbar input {
  width: 100px;
}

.y-workflow-apply.z-button {
  margin-left: 80px;
}

.yw-workflowaction-decision-section .yw-workflowaction-selected-decision {
  width: 300px;
}


/*Icons for explorer tree */

div.yw-explorerTree .y-tree-icon {
  &-hmc_typenode {
	&_savedvalues .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/011_last_changes.png");
	}

	&_format .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/013_documents_templates.png");
	}

	&_itemformatter .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/014_format_converter.png");
	}

	&_mediaformatter .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/015_layer_converter.png");
	}

	&_document .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/016_all_documents.png");
	}

	&_renderertemplate .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/017_communcation_template.png");
	}

	&_type .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/018_types.png");
	}

	&_savedquery .y-tree-icon,
	&_backofficesavedquery .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/019_saved_queries.png");
	}

	&_viewtype .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/020_report_definitions.png");
	}

	&_searchrestriction .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/021_personalization.png");
	}

	&_workflowtemplate .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/029_workflow_templates.png");
	}

	&_workflow .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/030_workflows.png");
	}

	&_workflowaction .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/031_actions.png");
	}

	&_cronjob .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/023_cronJobs.png");
	}

	&_constraintgroup .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/026_constraint_groups.png");
	}

	&_abstractconstraint .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/027_constraints.png");
	}

	&_businessprocess .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/032_business_process.png");
	}

	&_category .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/038_categories.png");
	}

	&_varianttype .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/040_product_variant_types.png");
	}

	&_catalog .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/037_catalogs.png");
	}

	&_catalogversion .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0107_catalog_version.png");
	}

	&_product .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/039_products.png");
	}

	&_unit .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/041_units.png");
	}

	&_keyword .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/042_keywords.png");
	}

	&_classificationclass .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/047_classifying_categories.png");
	}

	&_classificationattribute .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/048_feature_list.png");
	}

	&_classificationattributevalue .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/049_feature_values.png");
	}

	&_classificationattributeunit .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/050_classification_units.png");
	}

	&_media .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/051_media.png");
	}

	&_mediafolder .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/052_media_folders.png");
	}

	&_mediacontainer .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/053_media_containers.png");
	}

	&_mediaformat .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/054_media_formats.png");
	}

	&_mediacontext .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/055_media_context.png");
	}

	&_company .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/056_companies.png");
	}

	&_usergroup .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/057_user_groups.png");
	}

	&_employee .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/058_employees.png");
	}

	&_customer .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/059_castomers.png");
	}

	&_address .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/060_addresses.png");
	}

	&_title .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/061_titles.png");
	}

	&_agreement .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/062_agreements.png");
	}

	&_order .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/063_orders.png");
	}

	&_orderentry .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/064_order_entries.png");
	}

	&_quote .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/063_orders.png");
	}

	&_quoteentry .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/064_order_entries.png");
	}

	&_productpricegroup .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/066_product_prices_claces.png");
	}

	&_userpricegroup .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/067_customer_prices_claces.png");
	}

	&_pricerow .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/068_price_rows.png");
	}

	&_tax .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/070_taxes.png");
	}

	&_producttaxgroup .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/071_product_class_taxes.png");
	}

	&_usertaxgroup .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/072_customer_taxes_jurisdiction.png");
	}

	&_taxrow .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/073_tax_rows.png");
	}

	&_discount .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/075_discounts.png");
	}

	&_productdiscountgroup .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/076_product_discount_classes.png");
	}

	&_userdiscountgroup .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/076_customer_discount_groups.png");
	}

	&_abstractdiscountrow .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/077_discount_rows.png");
	}

	&_zonedeliverymode .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/079_delivery_costs.png");
	}

	&_standardpaymentmode .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/078_payment_methods.png");
	}

	&_language .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/080_languages.png");
	}

	&_currency .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/081_currencies.png");
	}

	&_country .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/082_countries.png");
	}

	&_region .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/083_regions.png");
	}

	&_cart .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/085_carts.png");
	}

	&_cartentry .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/086_cart_entries.png");
	}

	&_productreference .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/087_product_references.png");
	}

	&_abstractlinkentry .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/094_link.png");
	}

	&_abstractlinkentry .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/094_link.png");
	}

	&_scripting .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0109_script.png");
	}

	&_scriptingjob .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0110_scriptingJob.png");
	}

	&_scriptingtask .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0111_scriptingTask.png");
	}

	&_dynamic_process_definition .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0112_dynamicProcessDefinition.png");
	}

	&_jalotranslatorconfiguration .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/02_configuration_for_content.png");
	}

	&_job .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0122_job.png");
	}

	&_joblog .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0123_job_log.png");
	}

	&_task .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0124_task.png");
	}

	&_taskcondition .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0125_task_condition.png");
	}

	&_auditreportconfig .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/0126_audit_report_config.png");
	}

	&_catalogversionsyncjob .y-tree-icon {
	  background-image: url("images/explorer-tree/icons/044_synchronization.png");
	}
  }

  &-hmc_treenode_impex_import_wizard .y-tree-icon {
	background-image: url("images/explorer-tree/icons/07_import.png");
  }

  &-hmc_treenode_impex_export_wizard .y-tree-icon {
	background-image: url("images/explorer-tree/icons/06_export.png");
  }

  &-hmc_treenode_script_generator_wizard .y-tree-icon {
	background-image: url("images/explorer-tree/icons/06_export.png");
  }

  &-hmc_backoffice-workflow-inbox .y-tree-icon {
	background-image: url("images/explorer-tree/icons/icon_tree_inbox.png");
  }

  &-jalotranslatorconfiguration .y-tree-icon {
	background-image: url("images/explorer-tree/icons/02_configuration_for_content.png");
  }

  &-backoffice_dashboard .y-tree-icon {
	background-image: url("images/explorer-tree/icons/icon_tree_backoffice_dashboard.png");
  }
}

.yw-generate-out-doc-data-row {
  .z-combobox {
	display: inline-table;
	width: $_mediadownload_buttons--width;
	margin-right: $_mediadownload_buttons--margin-right;
  }

  .yw-generate-out-doc-data-row-top-selector {
	padding-bottom: $mediaupload_buttons--margin-bottom;
	display: flex;

	> * {
	  flex: 0 1 auto;
	}
  }
}

.ya-download-media-inline {
  width: $_mediadownload_inline-button--size;
  height: $_mediadownload_inline-button--size;
  background-image: url("images/custom-renderer/icons/download-icon-active.png");

  &:hover {
	background-image: url("images/custom-renderer/icons/download-icon-active-hover.png");
  }
}